import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Centipede here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Centipede extends Actor
{
    int dx = 2;
    GreenfootImage img = getImage();
    int centipedeHeight= img.getHeight();
    int centipedeWidth = img.getWidth();
 
    /**
     * Act - do whatever the Centipede wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(checkForMushrooms() == true){
            bounceOffMushrooms();
        }else {
            setLocation(getX()+ dx, getY()); 
        }
        
        if(getX() - centipedeWidth/2<= 0){
            setLocation(getX(), getY()+ centipedeHeight); 
            img.mirrorHorizontally();
            dx = -dx;
        }
        
        if(getX() + centipedeWidth/2 >= getWorld().getWidth()){
            setLocation(getX(), getY()+ centipedeHeight);
            img.mirrorHorizontally();
            dx = -dx;
        }
    } 
    
    public boolean checkForMushrooms(){
        int centipedeWidth = getImage().getWidth();
        int xDistance= (int)(centipedeWidth)/2;
        Actor mushrooms;
        if(dx >= 0){
            
            mushrooms= getOneObjectAtOffset(xDistance, 0, Mushrooms.class);
        } else { 
            xDistance = (int)(-1 * centipedeWidth)/2;
            mushrooms = getOneObjectAtOffset(xDistance, 0, Mushrooms.class);
        }
            
        if(mushrooms == null){
            return false;
        } else {
            dx = -dx;
            return true;
        }
        
    }
    
    public void bounceOffMushrooms(){
        setLocation(getX(), getY()+ centipedeHeight);
        img.mirrorHorizontally();        
    }
    
    public int getWidth(){
        return centipedeWidth;
    }
       
    public int getHeight(){
        return centipedeHeight;
    }
        
}
