import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;

public class Player extends Actor
{
    GreenfootImage img = getImage();
    int spiderHeight= img.getHeight()/2;
    int dx = 0;
    int dy = 0;
    int number;
    /**
     * Act - do whatever the player wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        String key = Greenfoot.getKey();
        int number = 0;
        if(Greenfoot.isKeyDown("up")){
            if(getWorld().getHeight()* 0.8 < getY()- spiderHeight){
               dy = -1;
            } else {
               dy = 0;
            }        
        } else if(Greenfoot.isKeyDown("down")){
            if(getWorld().getHeight() > getY() + spiderHeight){
                dy = 1;
            } else {
                dy = 0;
            }
        } else if(Greenfoot.isKeyDown("right")){   
            if(getWorld().getWidth() > getX() + spiderHeight){
                dx = 1;
            } else {
                dx = 0;
            }
        } else if(Greenfoot.isKeyDown("left")){
            if(0 < getX() + spiderHeight){
                dx = -1;
            }else {
                dx = 0;
            }
        } 
        
        setLocation(getX() + dx, getY() + dy);
        
        if(Greenfoot.isKeyDown("space")){
            List<Laser> laser = getWorld().getObjects(Laser.class);
            //Laser lasernum = laser.get(0);
            //int counter = (int)(laser);
            //int number = getWorld().size();
            
            //number++;
            if(laser == null ){
                Laser s = new Laser();
                
                getWorld().addObject(s, getX(), getY());
                System.out.println("hello");
                //counter++;
                
            }
                
            
        }
        
            
    } 
    
    public int size(){
        return number;
    }
     
   

    public int getHeight(){
        return spiderHeight;
    }
}
